> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ap three way match bill

> Ap three way match bill

### Path parameters

<ParamField path="id" type="string" required>
  Bill ID
</ParamField>

### Query parameters

<ParamField query="tolerance_percent" type="string">
  Relative tolerance percentage as a decimal string (e.g. `'5'` = 5%).
  Defaults to `0` (exact matching).
</ParamField>

### Responses

<ResponseField name="200" type="ThreeWayMatchResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/ap/bills/{id}/three-way-match' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "bill_id": "string",
    "lines": [
      {
        "bill_item_id": "string",
        "billed_quantity": "string",
        "billed_unit_cost": "string",
        "description": "string",
        "issues": [],
        "matched": true,
        "ordered_quantity": null,
        "ordered_unit_cost": null,
        "po_line_id": null,
        "price_variance": "string",
        "quantity_variance": "string",
        "received_quantity": "string"
      }
    ],
    "match_status": "string",
    "tolerance_percent": "string",
    "variance_line_count": null
  }
  ```
</ResponseExample>
